package com.steering.pss.judge.model;

/**
 * 数据库表QCM_ZC_PASS_APPLY所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2018-04-13
 */
@SuppressWarnings("serial")
public class QcmZcPassApplyEntity implements java.io.Serializable {
    /**
     * 质量放行单号
     */
    private String passApplyNo = "";
    /**
     * 质量放行序号
     */
    private String passApplySeq = "";
    /**
     * 申请判定单号
     */
    private String jugdeApplyCode = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 电炉炉号
     */
    private String stoveNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 工序代码(A\B\C\D.....)
     */
    private String processCode = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 支数
     */
    private String actCount = "";
    /**
     * 实重
     */
    private String actWeight = "";
    /**
     * 理论重量
     */
    private String actTheoryWeight = "";
    /**
     * 外径(实际)
     */
    private String actDimater = "";
    /**
     * 壁厚(实际)
     */
    private String actHeight = "";
    /**
     * 长度(实际)
     */
    private String actLen = "";
    /**
     * 表面结果代码
     */
    private String faceResultCode = "";
    /**
     * 成分结果代码
     */
    private String chemResultCode = "";
    /**
     * 理化结果代码
     */
    private String phyResultCode = "";
    /**
     * 探伤结果代码
     */
    private String detectResultCode = "";
    /**
     * 综合判定结果代码
     */
    private String judgeResultCode = "";
    /**
     * 申请判定备注
     */
    private String memo = "";
    /**
     * 生产合同号（合同号）
     */
    private String proOrderNo = "";
    /**
     * 生产产线代码
     */
    private String plineCode = "";
    /**
     * 生产产线名称
     */
    private String plineName = "";
    /**
     * 铸造订单编号
     */
    private String proPlanId = "";
    /**
     * 工序排产序号
     */
    private String gxPlanNo = "";
    /**
     * 订单编号(下一工序订单)
     */
    private String proPlanIdNext = "";
    /**
     * 工序排产序号
     */
    private String gxPlanNoNext = "";
    /**
     * 审核人
     */
    private String auditName = "";
    /**
     * 审核时间
     */
    private String auditTime = "";
    /**
     * 审核结果 （0 不通过 1通过）
     */
    private String auditResult = "";
    /**
     * 审核备注
     */
    private String auditMemo = "";
    /**
     * 申请放行人
     */
    private String passApplyName = "";
    /**
     * 申请放行时间
     */
    private String passApplyTime = "";
    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";
    /**
     * 有效标志 0无效 1有效
     */
    private String validflag = "";
    /**
     * 申请科室
     */
    private String unitCode = "";
    /**
     * 申请科室
     */
    private String unitDesc = "";
    /**
     * 放行类型 (0质量放行  1紧急放行)
     */
    private String type = "";

    /**
     * 质量放行单号
     * @return value
     */
    public String getPassApplyNo() {
        return passApplyNo;
    }

    /**
     * 质量放行单号
     * @param passApplyNo value
     */
    public void setPassApplyNo(String passApplyNo) {
        this.passApplyNo = passApplyNo;
    }

    /**
     * 质量放行序号
     * @return value
     */
    public String getPassApplySeq() {
        return passApplySeq;
    }

    /**
     * 质量放行序号
     * @param passApplySeq value
     */
    public void setPassApplySeq(String passApplySeq) {
        this.passApplySeq = passApplySeq;
    }

    /**
     * 申请判定单号
     * @return value
     */
    public String getJugdeApplyCode() {
        return jugdeApplyCode;
    }

    /**
     * 申请判定单号
     * @param jugdeApplyCode value
     */
    public void setJugdeApplyCode(String jugdeApplyCode) {
        this.jugdeApplyCode = jugdeApplyCode;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 电炉炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 电炉炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 工序代码(A\B\C\D.....)
     * @return value
     */
    public String getProcessCode() {
        return processCode;
    }

    /**
     * 工序代码(A\B\C\D.....)
     * @param processCode value
     */
    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 支数
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 支数
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 实重
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 实重
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 理论重量
     * @return value
     */
    public String getActTheoryWeight() {
        return actTheoryWeight;
    }

    /**
     * 理论重量
     * @param actTheoryWeight value
     */
    public void setActTheoryWeight(String actTheoryWeight) {
        this.actTheoryWeight = actTheoryWeight;
    }

    /**
     * 外径(实际)
     * @return value
     */
    public String getActDimater() {
        return actDimater;
    }

    /**
     * 外径(实际)
     * @param actDimater value
     */
    public void setActDimater(String actDimater) {
        this.actDimater = actDimater;
    }

    /**
     * 壁厚(实际)
     * @return value
     */
    public String getActHeight() {
        return actHeight;
    }

    /**
     * 壁厚(实际)
     * @param actHeight value
     */
    public void setActHeight(String actHeight) {
        this.actHeight = actHeight;
    }

    /**
     * 长度(实际)
     * @return value
     */
    public String getActLen() {
        return actLen;
    }

    /**
     * 长度(实际)
     * @param actLen value
     */
    public void setActLen(String actLen) {
        this.actLen = actLen;
    }

    /**
     * 表面结果代码
     * @return value
     */
    public String getFaceResultCode() {
        return faceResultCode;
    }

    /**
     * 表面结果代码
     * @param faceResultCode value
     */
    public void setFaceResultCode(String faceResultCode) {
        this.faceResultCode = faceResultCode;
    }

    /**
     * 成分结果代码
     * @return value
     */
    public String getChemResultCode() {
        return chemResultCode;
    }

    /**
     * 成分结果代码
     * @param chemResultCode value
     */
    public void setChemResultCode(String chemResultCode) {
        this.chemResultCode = chemResultCode;
    }

    /**
     * 理化结果代码
     * @return value
     */
    public String getPhyResultCode() {
        return phyResultCode;
    }

    /**
     * 理化结果代码
     * @param phyResultCode value
     */
    public void setPhyResultCode(String phyResultCode) {
        this.phyResultCode = phyResultCode;
    }

    /**
     * 探伤结果代码
     * @return value
     */
    public String getDetectResultCode() {
        return detectResultCode;
    }

    /**
     * 探伤结果代码
     * @param detectResultCode value
     */
    public void setDetectResultCode(String detectResultCode) {
        this.detectResultCode = detectResultCode;
    }

    /**
     * 综合判定结果代码
     * @return value
     */
    public String getJudgeResultCode() {
        return judgeResultCode;
    }

    /**
     * 综合判定结果代码
     * @param judgeResultCode value
     */
    public void setJudgeResultCode(String judgeResultCode) {
        this.judgeResultCode = judgeResultCode;
    }

    /**
     * 申请判定备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 申请判定备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 生产合同号（合同号）
     * @return value
     */
    public String getProOrderNo() {
        return proOrderNo;
    }

    /**
     * 生产合同号（合同号）
     * @param proOrderNo value
     */
    public void setProOrderNo(String proOrderNo) {
        this.proOrderNo = proOrderNo;
    }

    /**
     * 生产产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 生产产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 生产产线名称
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 生产产线名称
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 铸造订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 铸造订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 工序排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 工序排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 订单编号(下一工序订单)
     * @return value
     */
    public String getProPlanIdNext() {
        return proPlanIdNext;
    }

    /**
     * 订单编号(下一工序订单)
     * @param proPlanIdNext value
     */
    public void setProPlanIdNext(String proPlanIdNext) {
        this.proPlanIdNext = proPlanIdNext;
    }

    /**
     * 工序排产序号
     * @return value
     */
    public String getGxPlanNoNext() {
        return gxPlanNoNext;
    }

    /**
     * 工序排产序号
     * @param gxPlanNoNext value
     */
    public void setGxPlanNoNext(String gxPlanNoNext) {
        this.gxPlanNoNext = gxPlanNoNext;
    }

    /**
     * 审核人
     * @return value
     */
    public String getAuditName() {
        return auditName;
    }

    /**
     * 审核人
     * @param auditName value
     */
    public void setAuditName(String auditName) {
        this.auditName = auditName;
    }

    /**
     * 审核时间
     * @return value
     */
    public String getAuditTime() {
        return auditTime;
    }

    /**
     * 审核时间
     * @param auditTime value
     */
    public void setAuditTime(String auditTime) {
        this.auditTime = auditTime;
    }

    /**
     * 审核结果 （0 不通过 1通过）
     * @return value
     */
    public String getAuditResult() {
        return auditResult;
    }

    /**
     * 审核结果 （0 不通过 1通过）
     * @param auditResult value
     */
    public void setAuditResult(String auditResult) {
        this.auditResult = auditResult;
    }

    /**
     * 审核备注
     * @return value
     */
    public String getAuditMemo() {
        return auditMemo;
    }

    /**
     * 审核备注
     * @param auditMemo value
     */
    public void setAuditMemo(String auditMemo) {
        this.auditMemo = auditMemo;
    }

    /**
     * 申请放行人
     * @return value
     */
    public String getPassApplyName() {
        return passApplyName;
    }

    /**
     * 申请放行人
     * @param passApplyName value
     */
    public void setPassApplyName(String passApplyName) {
        this.passApplyName = passApplyName;
    }

    /**
     * 申请放行时间
     * @return value
     */
    public String getPassApplyTime() {
        return passApplyTime;
    }

    /**
     * 申请放行时间
     * @param passApplyTime value
     */
    public void setPassApplyTime(String passApplyTime) {
        this.passApplyTime = passApplyTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 有效标志 0无效 1有效
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志 0无效 1有效
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 申请科室
     * @return value
     */
    public String getUnitCode() {
        return unitCode;
    }

    /**
     * 申请科室
     * @param unitCode value
     */
    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    /**
     * 申请科室
     * @return value
     */
    public String getUnitDesc() {
        return unitDesc;
    }

    /**
     * 申请科室
     * @param unitDesc value
     */
    public void setUnitDesc(String unitDesc) {
        this.unitDesc = unitDesc;
    }

    /**
     * 放行类型 (0质量放行  1紧急放行)
     * @return value
     */
    public String getType() {
        return type;
    }

    /**
     * 放行类型 (0质量放行  1紧急放行)
     * @param type value
     */
    public void setType(String type) {
        this.type = type;
    }
}
